import { Meta, Story, Canvas, Description } from '@storybook/addon-docs/blocks';
import readme from './readme.md';

<Meta 
  title="Form/digi-form-error-list"
  parameters={{
    actions: {
      handles: [
        'afOnClickLink'
      ]
    }
  }}
/>

<!-- Description pulled from auto generated Stencil docs -->

<Description markdown={readme} />

## Standard

Displays a list of errors. The component is meant to be used at the top of a form.

<Canvas>
  <Story name="Standard">
    /* html */
    {`
      <digi-form-error-list
        af-heading="Felmeddelanden"
      >
        <a href="#testInput1">Obligatoriskt fält</a>
        <a href="#testInput2">Felaktigt format</a>
      </digi-form-error-list>
    `}
  </Story>
</Canvas>

## With description

Displays a list of errors. Example with description. The component is meant to be used at the top of a form.

<Canvas>
  <Story name="Description">
    /* html */
    {`
      <digi-form-error-list
        af-heading="Felmeddelanden"
        af-description="Description goes here"
      >
        <a href="#testInput1">Obligatoriskt fält</a>
        <a href="#testInput2">Felaktigt format</a>
      </digi-form-error-list>
    `}
  </Story>
</Canvas>